         DO 10  I = 1, 10
            WRITE (6, 15) I
            IANS =  MOD (I,2)
            IF (IANS .EQ. 0 ) GO TO 10
            WRITE (6, 14) I
   10    CONTINUE
   15    FORMAT (1X, I5)
         WRITE (6, 13)
   13    FORMAT (1X, ' Now the program has finished ')
   14    FORMAT (1X, I5 , ' IS AN ODD NUMBER ')
         STOP
         END
